<?php
/**
 * Created by PhpStorm.
 * User: crose
 * Date: 7/8/18
 * Time: 11:17 PM
 */

namespace qfq;


/**
 * Class DownloadPage
 * @package qfq
 */
class DownloadPage {

    /**
     * Retrieve the content of the given page and returns them.
     * $page
     *
     * @param string $page - Full URL like 'https://example.com' or T3 specific like 'export&s=badcaffee1234'
     * @param string $baseUrl - baserUrl from Configfile
     * @return bool|string
     */
    public static function getContent($page, $baseUrl) {

        if (empty($page)) {
            return false;
        }

        if (substr($page, 0, 4) != 'http') {
            if (empty($baseUrl)) {
                return false;
            }
            // We need to prefix
            $page = $baseUrl . $page;
        }

        // Download page
        $ctx = array(
            "ssl" => array(
                "verify_peer" => false,
                "verify_peer_name" => false,
            ),
        );

        return file_get_contents($page, false, stream_context_create($ctx));
    }
}